sqlitexx: sqlite3xx::prepare::invocation Class Reference

sqlitexx 0.0.1

Public Member Functions
sqlite3xx::prepare::invocation Class Reference

`#include <prepared_statement.hpp>`

## Public Member Functions
| invocation (connection &c, transaction &t, const string &stmt)
invocation & | setparam (const int &value, bool nonnull)
invocation & | setparam (const unsigned int &value, bool nonnull)
invocation & | setparam (const char *value, bool nonnull)
invocation & | setparam (const string &value, bool nonnull)
invocation & | setparam (const double &value, bool nonnull)
invocation & | setparam (const long &value, bool nonnull)
invocation & | setparam (const uintmax_t &value, bool nonnull)
result | exec () const
template<typename T >
invocation & | operator() (const T &v, bool nonnull=true)

## Constructor & Destructor Documentation

## ◆ invocation()

sqlite3xx::prepare::invocation::invocation | ( | connection & | c,
|  | transaction & | t,
|  | const string & | stmt
| ) |  |

## Member Function Documentation

## ◆ exec()

result sqlite3xx::prepare::invocation::exec | ( |  | ) | const

## ◆ operator()()

template<typename T >

invocation & sqlite3xx::prepare::invocation::operator() | ( | const T & | v,
|  | bool | nonnull = `true`
| ) |  |
| inline

## ◆ setparam() [1/7]

invocation & sqlite3xx::prepare::invocation::setparam | ( | const char * | value,
|  | bool | nonnull
| ) |  |

## ◆ setparam() [2/7]

invocation & sqlite3xx::prepare::invocation::setparam | ( | const double & | value,
|  | bool | nonnull
| ) |  |

## ◆ setparam() [3/7]

invocation & sqlite3xx::prepare::invocation::setparam | ( | const int & | value,
|  | bool | nonnull
| ) |  |

## ◆ setparam() [4/7]

invocation & sqlite3xx::prepare::invocation::setparam | ( | const long & | value,
|  | bool | nonnull
| ) |  |

## ◆ setparam() [5/7]

invocation & sqlite3xx::prepare::invocation::setparam | ( | const string & | value,
|  | bool | nonnull
| ) |  |

## ◆ setparam() [6/7]

invocation & sqlite3xx::prepare::invocation::setparam | ( | const uintmax_t & | value,
|  | bool | nonnull
| ) |  |

## ◆ setparam() [7/7]

invocation & sqlite3xx::prepare::invocation::setparam | ( | const unsigned int & | value,
|  | bool | nonnull
| ) |  |

The documentation for this class was generated from the following file:

- prepared_statement.hpp